Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wps.execute
Class Status

    java.lang.Object
      org.deegree.ogcwebservices.wps.execute.Status

    public class Status

extends Object

StatusType.java Created on 09.03.2006. 23:19:43h Description of the status of process execution.

Version:
  $Revision: 18195 $, $Date:20.03.2007$
Author:
  Christian Kiehle, Christian Heier, last edited by: $Author:wanhoff$

Constructor Summary
`Status()`

Method Summary
`String` | `getProcessAccepted()`
`ProcessFailed` | `getProcessFailed()`
`ProcessStarted` | `getProcessStarted()`
`String` | `getProcessSucceeded()`
`void` | `setProcessAccepted(String value)`
`void` | `setProcessFailed(ProcessFailed value)`
`void` | `setProcessStarted(ProcessStarted value)`
`void` | `setProcessSucceeded(String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Status

    public Status()

Method Detail

### getProcessAccepted

    public String getProcessAccepted()

  Returns:
    Returns the processAccepted.

### setProcessAccepted

    public void setProcessAccepted(String value)

  Parameters:
    `value` - The processAccepted to set.

### getProcessStarted

    public ProcessStarted getProcessStarted()

  Returns:
    Returns the processStarted.

### setProcessStarted

    public void setProcessStarted(ProcessStarted value)

  Parameters:
    `value` - The processStarted to set.

### getProcessSucceeded

    public String getProcessSucceeded()

  Returns:
    Returns the processSucceeded.

### setProcessSucceeded

    public void setProcessSucceeded(String value)

  Parameters:
    `value` - The processSucceeded to set.

### getProcessFailed

    public ProcessFailed getProcessFailed()

  Returns:
    Returns the processFailed.

### setProcessFailed

    public void setProcessFailed(ProcessFailed value)

  Parameters:
    `value` - The processFailed to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org